<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("conexion/$VpnEn.php");

$Cve_Modulo = "CMOD201506100189";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 1 - Dashboard
		$sqlP1DB = mysql_query("select COLOR_FRONTEND from dashboard_perfiles where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlP1DB)==0) echo "";
		else{
		$registroP1DB=mysql_fetch_array($sqlP1DB);
		}
		if (mysql_numrows($sqlP1DB)>0)
		{
		$ColFront=$registroP1DB["COLOR_FRONTEND"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select TIEMPO_INACTIVIDAD,DIAS_DISPONIBLES,TITULO_PAGINA from dashboard_config where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		$DiasDisp=$registroC1["DIAS_DISPONIBLES"];
		$TituPagi=$registroC1["TITULO_PAGINA"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesionesdb where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
						
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
			///Determinar si la Licencia aán esta Vigente
			$FechaLic=date("Y/m/d"); 
			if ($DiasDisp < $FechaLic)
			{
				echo "<script>alert('ATENCIÓN:\\n\\nTe informamos que tu licencia a expirado, serás redireccionado a la pagina indicada para que puedas continuar con el proceso de Actualización.\\n\\nAgradecemos tu comprensión.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=UpdateLicense.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ///Inicia IF Vencimiento de Licencia
				
		///Guardar el Registro de la Graficación
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$FechaGen=date("Y/m/d");
		$CveRepo="21";
		$NomRepo="Ocupación del Almacén";
		$NivRepo="Ubicaciones";
		$RangoRepo="Demanda";
		$AreRepo="Gestión";
		$sql_GH = mysql_query("insert into dashboard_historico (CVE_CUENTA,NOMBRE_CUENTA,CVE_REPORTE,NOMBRE_REPORTE,NIVEL,RANGO,SELECION_RANGO,AREA,USUARIO,FECHA,HORA)
			        values('$CveCueCR1','$CtaSesionEn','$CveRepo','$NomRepo','$NivRepo','$RangoRepo','N/A','$AreRepo','$UsuEn','$FechaGen','$HoraOK')");
		///$resultado_GH=mysql_query($sql_GH,$conexion) or die(mysql_error());

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
				
				
		///Consultar el total de ubicaciones
		$sql_CO1 = mysql_query("SELECT Count(*) As Total FROM tabla_ubicaciones WHERE CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_CO1)==0) echo "";
		else{
		$registro_CO1=mysql_fetch_array($sql_CO1);
		}
		if (mysql_numrows($sql_CO1)>0)
		{
		$TotalUbicaciones=$registro_CO1["Total"];
		}
				
		///Consultar el total de ubicaciones Ocupadas
		$sql_CO2 = mysql_query("SELECT Count(*) As Ocupadas FROM tabla_ubicaciones WHERE CUENTA='$CveCueCR1' and CLAVEUBICACION IN ( SELECT UBICACION FROM tabla_inventario WHERE CANTIDAD>'0' AND CVE_CUENTA='$CveCueCR1')");
		if (mysql_numrows($sql_CO2)==0) echo "";
		else{
		$registro_CO2=mysql_fetch_array($sql_CO2);
		}
		if (mysql_numrows($sql_CO2)>0)
		{
		$TotalOcupadas=$registro_CO2["Ocupadas"];
		}
				
		///Consultar el total de ubicaciones Disponibles
		$TotalDisponibles = $TotalUbicaciones - $TotalOcupadas;
?>

<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		<title>Highcharts Example</title>

		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>			
		<style type="text/css">
${demo.css}
		</style>
		<script type="text/javascript">
$(function () {

    var gaugeOptions = {

        chart: {
            type: 'solidgauge'
        },

        title: null,

        pane: {
            center: ['50%', '85%'],
            size: '140%',
            startAngle: -90,
            endAngle: 90,
            background: {
                backgroundColor: (Highcharts.theme && Highcharts.theme.background2) || '#EEE',
                innerRadius: '60%',
                outerRadius: '100%',
                shape: 'arc'
            }
        },

        tooltip: {
            enabled: false
        },

        // the value axis
        yAxis: {
            stops: [
                [0.1, '#55BF3B'], // green
                [0.5, '#DDDF0D'], // yellow
                [0.9, '#DF5353'] // red
            ],
            lineWidth: 0,
            minorTickInterval: null,
            tickPixelInterval: 400,
            tickWidth: 0,
            title: {
                y: -70
            },
            labels: {
                y: 16
            }
        },

        plotOptions: {
            solidgauge: {
                dataLabels: {
                    y: 5,
                    borderWidth: 0,
                    useHTML: true
                }
            }
        }
    };

    // The speed gauge
    $('#container-speed').highcharts(Highcharts.merge(gaugeOptions, {
        yAxis: {
            min: 0,
            ///max: 200,
			max: <?PHP echo $TotalUbicaciones; ?>, ////Total de Ubicaciones en Grafico Izquierdo
            title: {
                text: 'Ocupadas'
            }
        },

        credits: {
            enabled: false
        },

        series: [{
            name: 'Speed',
            ///data: [80],
			data: [<?PHP echo $TotalUbicaciones; ?>],///Valor Inicial									
            dataLabels: {
                format: '<div style="text-align:center"><span style="font-size:25px;color:' +
                    ((Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black') + '">{y}</span><br/>' +
                       '<span style="font-size:12px;color:silver">Ubicaciones</span></div>'
            },
            tooltip: {
                //valueSuffix: ' km/h'
            }
        }]

    }));

    // The RPM gauge
    $('#container-rpm').highcharts(Highcharts.merge(gaugeOptions, {
        yAxis: {
            min: 0,
            max: <?PHP echo $TotalUbicaciones; ?>, ////Total de Ubicaciones en Grafico Derecho
            title: {
                text: 'Disponibles'
            }
        },

        series: [{
            name: 'RPM',
            data: [<?PHP echo $TotalUbicaciones; ?>],
            dataLabels: {
                format: '<div style="text-align:center"><span style="font-size:25px;color:' +
                    ((Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black') + '">{y:.1f}</span><br/>' +
                       '<span style="font-size:12px;color:silver">Ubicaciones</span></div>'
            },
            tooltip: {
                //valueSuffix: ' revolutions/min'
            }
        }]

    }));

    // Bring life to the dials
    setInterval(function () {
        // Speed
        var chart = $('#container-speed').highcharts(),
            point,
            newVal,
            inc;

        if (chart) {
            point = chart.series[0].points[0];
            inc = Math.round((Math.random() - 0.5) * 100);
            newVal = point.y + inc;
			
			newVal = <?PHP echo $TotalOcupadas; ?>

           // if (newVal < 0 || newVal > 200) {
			if (newVal < 0 || newVal > <?PHP echo $TotalUbicaciones; ?>) {
                newVal = point.y - inc;
            }

            point.update(newVal);
        }

        // RPM
        chart = $('#container-rpm').highcharts();
        if (chart) {
            point = chart.series[0].points[0];
            inc = Math.random() - 0.5;
            newVal = point.y + inc;
			
			newVal = <?PHP echo $TotalDisponibles; ?>;

            ///if (newVal < 0 || newVal > 5) {
			if (newVal < 0 || newVal > <?PHP echo $TotalUbicaciones; ?>) {
                newVal = point.y - inc;
            }

            point.update(newVal);
        }
    }, 2000);


});
		</script>
		
	</head>
	<body>

<!-- <div id="container" style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div> -->
		
		
<script src="Highcharts-4.1.5/js/highcharts.js"></script>
<script src="Highcharts-4.1.5/js/highcharts-more.js"></script>
<script src="Highcharts-4.1.5/js/modules/solid-gauge.js"></script>

<div style="width: 600px; height: 400px; margin: 0 auto">
	<div id="container-speed" style="width: 300px; height: 200px; float: left"></div>
	<div id="container-rpm" style="width: 300px; height: 200px; float: left"></div>
</div>		
		
	</body>
</html>

<?PHP
} ///Termina IF Vencimiento de Licencia
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>